"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

SimpleView subclass:#TabSpecRuler
	instanceVariableNames:'tabSpec titleEntry handleStyle'
	classVariableNames:'DefaultHandleStyle'
	poolDictionaries:''
	category:'Views-Misc'
!

!TabSpecRuler class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    this class is not yet finished.

    It shows the tabulator positions of a TabulatorSpecification
    (as shown in a FileBrowser, when the longList is enabled).

    [see also:]
        TabulatorSpecification
        Ruler
        ListView
"
!

examples
"
	|top head spec|

	top := View new.
	top extent:300@100.

	head := TabSpecRuler in:top.
	head width:1.0.
	head level:1.

	spec := TabulatorSpecification new.
	spec unit:#inch.
	spec positions:#(0     1     2.5    3.5    4       5        ).
	spec align:    #(#left #left #right #right #center #decimal ).

	head tabulatorSpecification:spec.
	top open.
"

! !

!TabSpecRuler class methodsFor:'defaults'!

updateStyleCache
    DefaultHandleStyle := StyleSheet at:'tabRulerHandleStyle'.

! !

!TabSpecRuler methodsFor:'accessing'!

tabulatorSpecification:aTabSpec
    "set my tabulator specification"

    tabSpec := aTabSpec

    "Modified: 4.6.1996 / 22:34:31 / cg"
! !

!TabSpecRuler methodsFor:'initialization'!

initStyle
    super initStyle.

    handleStyle := DefaultHandleStyle
!

initialize
    super initialize.

    self height:(font height + (2 * font descent)). 

    "
     TabSpecRuler new open
    "
! !

!TabSpecRuler methodsFor:'redrawing'!

drawHandleAtX:x type:handleType
    "redraw a tabulator handle"

    self displayLineFromX:x y:0 toX:x y:height - 1

    "Modified: 4.6.1996 / 22:35:22 / cg"
!

redraw
    "redraw the handles from by tabSpec"

    |x|

    tabSpec isNil ifTrue:[^ self].
    1 to:tabSpec size do:[:i |
        x := tabSpec positionOfTab:i on:self.
        x := x rounded.

        self paint:Black.
        self drawHandleAtX:x type:(tabSpec typeOfTab:i).
    ]
! !

!TabSpecRuler class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/TabSpecRuler.st,v 1.7 1996-06-04 20:36:22 cg Exp $'
! !
